Bug 796465 - Review Request: exif - Utility to show EXIF information hidden in JPEG files
Summary: Review Request: exif - Utility to show EXIF information hidden in JPEG files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-22 23:02 UTC by Matthieu Saulnier
Modified: 2012-04-24 15:01 UTC (History)
3 users (show)

Fixed In Version: exif-0.6.20-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-24 04:24:27 UTC
Type: ---
bochecha: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthieu Saulnier 2012-02-22 23:02:00 UTC
Spec URL: http://fantom.fedorapeople.org/exif.spec
SRPM URL: http://fantom.fedorapeople.org/exif-0.6.20-1.fc16.src.rpm
Description:
Small command-line utility to show EXIF information hidden
in JPEG files.

Hello,
I'm submiting this new package for el6 and fedora >= 16

Comment 1 Michael Schwendt 2012-02-24 08:34:10 UTC
> %lang(da) %{_datadir}/locale/da/LC_MESSAGES/%{name}.mo
> %lang(de) %{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
> [...]

| MUST: The spec file MUST handle locales properly. This is done by using the
| %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

-> https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files


> License:        GPLv2

That doesn't match the source code files.


> %{_mandir}/man1/%{name}.1.*

Good that '*' is used here to allow for arbitrary compression, but slightly better would be to not strictly require a file extension:

  %{_mandir}/man1/%{name}.1*


> $ grep SUBD Makefile.am
> SUBDIRS = m4m po libjpeg exif test

Directory "test" contains a test-suite that can be executed as "make check" and seems to be suitable for a %check section in the spec file.

Comment 2 Matthieu Saulnier 2012-02-24 12:50:08 UTC
Hello,
thank you Michael, I've corrected:
Spec URL: http://fantom.fedorapeople.org/exif.spec
SRPM URL: http://fantom.fedorapeople.org/exif-0.6.20-2.fc17.src.rpm

Comment 3 Mathieu Bridon 2012-02-29 10:08:23 UTC
Matthieu, what is this libjpeg subfolder?

It seems the package bundling its own version of the library, and building against it?

Comment 4 Matthieu Saulnier 2012-03-06 16:00:24 UTC
Hi Mathieu,
libjpeg subfolder is not the libjpeg.
I think this subfolder is a "add-on" of the libjpeg, but I'm not sure.


To compare:

$ ls -l exif-0.6.20/libjpeg/
total 52
-rw-r--r--. 1 casper casper 10400 27 oct.   2009 jpeg-data.c
-rw-r--r--. 1 casper casper  2573 27 oct.   2009 jpeg-data.h
-rw-r--r--. 1 casper casper  4886 27 oct.   2009 jpeg-marker.c
-rw-r--r--. 1 casper casper  3343 27 oct.   2009 jpeg-marker.h
-rw-r--r--. 1 casper casper   223  2 avril  2005 Makefile.am
-rw-r--r--. 1 casper casper 18488 16 déc.   2010 Makefile.in

$ ls -l libjpeg-turbo-1.1.1
total 4060
-rw-rw-r--. 1 casper casper   3206 18 mai    2011 acinclude.m4
-rw-rw-r--. 1 casper casper 246996 18 mai    2011 aclocal.m4
-rw-rw-r--. 1 casper casper  11617 18 mai    2011 bmp.c
-rw-rw-r--. 1 casper casper   1611 18 mai    2011 bmp.h
-rw-rw-r--. 1 casper casper  18719 18 mai    2011 BUILDING.txt
-rw-rw-r--. 1 casper casper   5331 18 mai    2011 cderror.h
-rw-rw-r--. 1 casper casper   4682 18 mai    2011 cdjpeg.c
-rw-rw-r--. 1 casper casper   6256 18 mai    2011 cdjpeg.h
-rw-rw-r--. 1 casper casper  11315 18 mai    2011 change.log
-rw-rw-r--. 1 casper casper   5919 18 mai    2011 ChangeLog.txt
-rw-rw-r--. 1 casper casper  11914 18 mai    2011 cjpeg.1
-rw-rw-r--. 1 casper casper  19731 18 mai    2011 cjpeg.c
-rw-rw-r--. 1 casper casper  15110 18 mai    2011 CMakeLists.txt
drwxrwxrwx. 2 casper casper   4096 18 mai    2011 cmakescripts
-rw-rw-r--. 1 casper casper   5364 18 mai    2011 coderules.txt
-rwxr-xr-x. 1 casper casper   3634 18 mai    2011 compile
-rwxr-xr-x. 1 casper casper  43332 18 mai    2011 config.guess
-rw-rw-r--. 1 casper casper   3053 18 mai    2011 config.h.in
-rwxr-xr-x. 1 casper casper  31307 18 mai    2011 config.sub
-rwxrwxr-x. 1 casper casper 754042 18 mai    2011 configure
-rw-rw-r--. 1 casper casper   9072 18 mai    2011 configure.ac
-rwxr-xr-x. 1 casper casper  15205 18 mai    2011 depcomp
-rw-rw-r--. 1 casper casper   7323 18 mai    2011 djpeg.1
-rw-rw-r--. 1 casper casper  19534 18 mai    2011 djpeg.c
-rw-rw-r--. 1 casper casper  17091 18 mai    2011 example.c
-rw-rw-r--. 1 casper casper   8565 18 mai    2011 filelist.txt
-rwxr-xr-x. 1 casper casper   9206 18 mai    2011 install-sh
-rw-rw-r--. 1 casper casper  53404 18 mai    2011 install.txt
-rw-rw-r--. 1 casper casper   5066 18 mai    2011 jaricom.c
-rw-rw-r--. 1 casper casper   9452 18 mai    2011 jcapimin.c
-rw-rw-r--. 1 casper casper   5881 18 mai    2011 jcapistd.c
-rw-rw-r--. 1 casper casper  28128 18 mai    2011 jcarith.c
-rw-rw-r--. 1 casper casper  16400 18 mai    2011 jccoefct.c
-rw-rw-r--. 1 casper casper  20017 18 mai    2011 jccolor.c
-rw-rw-r--. 1 casper casper  19266 18 mai    2011 jcdctmgr.c
-rw-rw-r--. 1 casper casper  34669 18 mai    2011 jchuff.c
-rw-rw-r--. 1 casper casper   1575 18 mai    2011 jchuff.h
-rw-rw-r--. 1 casper casper   2426 18 mai    2011 jcinit.c
-rw-rw-r--. 1 casper casper   9168 18 mai    2011 jcmainct.c
-rw-rw-r--. 1 casper casper  17307 18 mai    2011 jcmarker.c
-rw-rw-r--. 1 casper casper  20829 18 mai    2011 jcmaster.c
-rw-rw-r--. 1 casper casper   3110 18 mai    2011 jcomapi.c
-rw-rw-r--. 1 casper casper   1588 18 mai    2011 jconfig.h.in
-rw-rw-r--. 1 casper casper   5637 18 mai    2011 jconfig.txt
-rw-rw-r--. 1 casper casper  22280 18 mai    2011 jcparam.c
-rw-rw-r--. 1 casper casper  25101 18 mai    2011 jcphuff.c
-rw-rw-r--. 1 casper casper  12073 18 mai    2011 jcprepct.c
-rw-rw-r--. 1 casper casper  19146 18 mai    2011 jcsample.c
-rw-rw-r--. 1 casper casper  14361 18 mai    2011 jctrans.c
-rw-rw-r--. 1 casper casper  12637 18 mai    2011 jdapimin.c
-rw-rw-r--. 1 casper casper   9411 18 mai    2011 jdapistd.c
-rw-rw-r--. 1 casper casper  23598 18 mai    2011 jdarith.c
-rw-rw-r--. 1 casper casper   8673 18 mai    2011 jdatadst.c
-rw-rw-r--. 1 casper casper   9471 18 mai    2011 jdatasrc.c
-rw-rw-r--. 1 casper casper  25582 18 mai    2011 jdcoefct.c
-rw-rw-r--. 1 casper casper  13700 18 mai    2011 jdcolor.c
-rw-rw-r--. 1 casper casper   7280 18 mai    2011 jdct.h
-rw-rw-r--. 1 casper casper   8821 18 mai    2011 jddctmgr.c
-rw-rw-r--. 1 casper casper  26232 18 mai    2011 jdhuff.c
-rw-rw-r--. 1 casper casper   8496 18 mai    2011 jdhuff.h
-rw-rw-r--. 1 casper casper  16861 18 mai    2011 jdinput.c
-rw-rw-r--. 1 casper casper  20449 18 mai    2011 jdmainct.c
-rw-rw-r--. 1 casper casper  41118 18 mai    2011 jdmarker.c
-rw-rw-r--. 1 casper casper  20813 18 mai    2011 jdmaster.c
-rw-rw-r--. 1 casper casper  14952 18 mai    2011 jdmerge.c
-rw-rw-r--. 1 casper casper  20559 18 mai    2011 jdphuff.c
-rw-rw-r--. 1 casper casper   9723 18 mai    2011 jdpostct.c
-rw-rw-r--. 1 casper casper  16932 18 mai    2011 jdsample.c
-rw-rw-r--. 1 casper casper   5300 18 mai    2011 jdtrans.c
-rw-rw-r--. 1 casper casper   7801 18 mai    2011 jerror.c
-rw-rw-r--. 1 casper casper  14164 18 mai    2011 jerror.h
-rw-rw-r--. 1 casper casper   5486 18 mai    2011 jfdctflt.c
-rw-rw-r--. 1 casper casper   7578 18 mai    2011 jfdctfst.c
-rw-rw-r--. 1 casper casper  11066 18 mai    2011 jfdctint.c
-rw-rw-r--. 1 casper casper   8451 18 mai    2011 jidctflt.c
-rw-rw-r--. 1 casper casper  13170 18 mai    2011 jidctfst.c
-rw-rw-r--. 1 casper casper  14815 18 mai    2011 jidctint.c
-rw-rw-r--. 1 casper casper  13528 18 mai    2011 jidctred.c
-rw-rw-r--. 1 casper casper   3250 18 mai    2011 jinclude.h
-rw-rw-r--. 1 casper casper  42162 18 mai    2011 jmemmgr.c
-rw-rw-r--. 1 casper casper   2780 18 mai    2011 jmemnobs.c
-rw-rw-r--. 1 casper casper   8238 18 mai    2011 jmemsys.h
-rw-rw-r--. 1 casper casper  12476 18 mai    2011 jmorecfg.h
-rw-rw-r--. 1 casper casper    878 18 mai    2011 jpegcomp.h
-rw-rw-r--. 1 casper casper  16090 18 mai    2011 jpegint.h
-rw-rw-r--. 1 casper casper  49601 18 mai    2011 jpeglib.h
-rw-rw-r--. 1 casper casper   8407 18 mai    2011 jpegtran.1
-rw-rw-r--. 1 casper casper  17922 18 mai    2011 jpegtran.c
-rw-rw-r--. 1 casper casper  15474 18 mai    2011 jpegut.c
-rw-rw-r--. 1 casper casper  18965 18 mai    2011 jpgtest.c
-rw-rw-r--. 1 casper casper  31473 18 mai    2011 jquant1.c
-rw-rw-r--. 1 casper casper  48151 18 mai    2011 jquant2.c
-rw-rw-r--. 1 casper casper   4587 18 mai    2011 jsimddct.h
-rw-rw-r--. 1 casper casper   3751 18 mai    2011 jsimd.h
-rw-rw-r--. 1 casper casper   5471 18 mai    2011 jsimd_none.c
-rw-rw-r--. 1 casper casper   5240 18 mai    2011 jutils.c
-rw-rw-r--. 1 casper casper   1007 18 mai    2011 jversion.h
-rw-rw-r--. 1 casper casper  26430 18 mai    2011 LGPL.txt
-rw-rw-r--. 1 casper casper    139 18 mai    2011 libjpeg.map.in
-rw-rw-r--. 1 casper casper 160806 18 mai    2011 libjpeg.txt
-rw-rw-r--. 1 casper casper   2497 18 mai    2011 LICENSE.txt
-rw-r--r--. 1 casper casper 183746 18 mai    2011 ltmain.sh
-rw-rw-r--. 1 casper casper   7580 18 mai    2011 Makefile.am
-rw-rw-r--. 1 casper casper  77496 18 mai    2011 Makefile.in
-rwxr-xr-x. 1 casper casper  10587 18 mai    2011 missing
-rw-rw-r--. 1 casper casper  15014 18 mai    2011 rdbmp.c
-rw-rw-r--. 1 casper casper   6849 18 mai    2011 rdcolmap.c
-rw-rw-r--. 1 casper casper   1272 18 mai    2011 rdgif.c
-rw-rw-r--. 1 casper casper   1699 18 mai    2011 rdjpgcom.1
-rw-rw-r--. 1 casper casper  14466 18 mai    2011 rdjpgcom.c
-rw-rw-r--. 1 casper casper  14078 18 mai    2011 rdppm.c
-rw-rw-r--. 1 casper casper  11673 18 mai    2011 rdrle.c
-rw-rw-r--. 1 casper casper  12507 18 mai    2011 rdswitch.c
-rw-rw-r--. 1 casper casper  14967 18 mai    2011 rdtarga.c
-rw-rw-r--. 1 casper casper  14342 18 mai    2011 README
-rwxrwxr-x. 1 casper casper  14127 18 mai    2011 README-turbo.txt
drwxrwxrwx. 2 casper casper   4096 18 mai    2011 release
-rw-rw-r--. 1 casper casper   1207 18 mai    2011 rrtimer.h
-rw-rw-r--. 1 casper casper   1988 18 mai    2011 rrutil.h
drwxrwxrwx. 2 casper casper   4096 18 mai    2011 sharedlib
drwxrwxrwx. 2 casper casper   4096 18 mai    2011 simd
-rw-rw-r--. 1 casper casper  51777 18 mai    2011 structure.txt
-rw-rw-r--. 1 casper casper   5126 18 mai    2011 testimgari.jpg
-rw-rw-r--. 1 casper casper 101484 18 mai    2011 testimgari.ppm
-rw-rw-r--. 1 casper casper  35050 18 mai    2011 testimg.bmp
-rw-rw-r--. 1 casper casper   2662 18 mai    2011 testimgcrop.jpg
-rw-rw-r--. 1 casper casper   5753 18 mai    2011 testimgflt.jpg
-rw-rw-r--. 1 casper casper   5755 18 mai    2011 testimgflt-nosimd.jpg
-rw-rw-r--. 1 casper casper 101484 18 mai    2011 testimgflt.ppm
-rw-rw-r--. 1 casper casper  18884 18 mai    2011 testimgfst100.jpg
-rw-rw-r--. 1 casper casper   5454 18 mai    2011 testimgfst.jpg
-rw-rw-r--. 1 casper casper 101484 18 mai    2011 testimgfst.ppm
-rw-rw-r--. 1 casper casper   5756 18 mai    2011 testimgint.jpg
-rw-rw-r--. 1 casper casper 101484 18 mai    2011 testimgint.ppm
-rw-rw-r--. 1 casper casper   5645 18 mai    2011 testimgp.jpg
-rw-rw-r--. 1 casper casper   5770 18 mai    2011 testorig.jpg
-rw-rw-r--. 1 casper casper 101484 18 mai    2011 testorig.ppm
-rw-rw-r--. 1 casper casper  57665 18 mai    2011 transupp.c
-rw-rw-r--. 1 casper casper   9073 18 mai    2011 transupp.h
-rw-rw-r--. 1 casper casper  13794 18 mai    2011 turbojpeg.h
-rw-rw-r--. 1 casper casper  18806 18 mai    2011 turbojpegl.c
-rwxrwxr-x. 1 casper casper    292 18 mai    2011 turbojpeg-mapfile
-rw-rw-r--. 1 casper casper  29472 18 mai    2011 usage.txt
drwxrwxrwx. 2 casper casper   4096 18 mai    2011 win
-rw-rw-r--. 1 casper casper   9759 18 mai    2011 wizard.txt
-rw-rw-r--. 1 casper casper  13913 18 mai    2011 wrbmp.c
-rw-rw-r--. 1 casper casper  12888 18 mai    2011 wrgif.c
-rw-rw-r--. 1 casper casper   2627 18 mai    2011 wrjpgcom.1
-rw-rw-r--. 1 casper casper  16563 18 mai    2011 wrjpgcom.c
-rw-rw-r--. 1 casper casper   8369 18 mai    2011 wrppm.c
-rw-rw-r--. 1 casper casper   9242 18 mai    2011 wrrle.c
-rw-rw-r--. 1 casper casper   7524 18 mai    2011 wrtarga.c

Comment 5 Mathieu Bridon 2012-03-07 01:59:00 UTC
(In reply to comment #4)
> I think this subfolder is a "add-on" of the libjpeg, but I'm not sure.

Perhaps the best then would be to ask upstream to clarify?

Comment 6 Matthieu Saulnier 2012-04-11 09:57:18 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > I think this subfolder is a "add-on" of the libjpeg, but I'm not sure.
> 
> Perhaps the best then would be to ask upstream to clarify?

Hello, this is the upstream answer:
http://sourceforge.net/mailarchive/forum.php?thread_name=20120411094912.GA18222%40blackbird&forum_name=libexif-devel

Comment 7 Mathieu Bridon 2012-04-13 04:31:12 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[-]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
  rpmlint exif-debuginfo-0.6.20-2.fc18.i686.rpm
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  rpmlint exif-0.6.20-2.fc18.src.rpm
  exif.src: W: name-repeated-in-summary C EXIF
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  rpmlint exif-0.6.20-2.fc18.i686.rpm
  exif.i686: W: name-repeated-in-summary C EXIF
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  /home/mathieu/Workspace/reviews/exif/exif-0.6.20.tar.bz2 :
    MD5SUM this package     : 4d88291883506d4ee52d1eec9ed5f42a
    MD5SUM upstream package : 4d88291883506d4ee52d1eec9ed5f42a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a Systemd unit file if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.
  rpmlint exif-debuginfo-0.6.20-2.fc18.i686.rpm
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  rpmlint exif-0.6.20-2.fc18.src.rpm
  exif.src: W: name-repeated-in-summary C EXIF
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  rpmlint exif-0.6.20-2.fc18.i686.rpm
  exif.i686: W: name-repeated-in-summary C EXIF
  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

=> Ignore the warning, rpmlint is wrong in this case (EXIF is not the name of
   the package here, it's the name of a standard for photo metadata).

[!]: MUST License field in the package spec file matches the actual license.
=> Looking at the source code, you should use "License: LGPLv2+"

I trust you to fix the license tag before importing the package in the Fedora
Git, so this package is approved.

Comment 8 Matthieu Saulnier 2012-04-13 07:09:24 UTC
I've fixed the license tag :

Spec URL: http://fantom.fedorapeople.org/exif.spec
SRPM URL: http://fantom.fedorapeople.org/exif-0.6.20-3.fc17.src.rpm


New Package SCM Request
=======================
Package Name: exif
Short Description: Utility to show EXIF information hidden in JPEG files
Owners: fantom
Branches: f15 f16 f17 el6
InitialCC:

Comment 9 Matthieu Saulnier 2012-04-13 08:13:31 UTC
New Package SCM Request
=======================
Package Name: exif
Short Description: Utility to show EXIF information hidden in JPEG files
Owners: fantom
Branches: f15 f16 f17
InitialCC:

Comment 10 Gwyn Ciesla 2012-04-13 12:08:10 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-04-13 13:34:23 UTC
exif-0.6.20-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exif-0.6.20-3.fc17

Comment 12 Fedora Update System 2012-04-13 13:38:12 UTC
exif-0.6.20-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/exif-0.6.20-3.fc16

Comment 13 Fedora Update System 2012-04-13 13:39:42 UTC
exif-0.6.20-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/exif-0.6.20-3.fc15

Comment 14 Fedora Update System 2012-04-13 21:30:07 UTC
exif-0.6.20-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 15 Fedora Update System 2012-04-24 04:24:27 UTC
exif-0.6.20-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-04-24 14:59:09 UTC
exif-0.6.20-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2012-04-24 15:01:11 UTC
exif-0.6.20-3.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.